# hobo - portal to configure and deploy applications
# Copyright (C) 2015-2022 Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^$', views.home, name='applications-home'),
    url(r'^create/$', views.init, name='application-init'),
    url(r'^install/$', views.install, name='application-install'),
    url(r'^manifest/(?P<app_slug>[\w-]+)/$', views.manifest, name='application-manifest'),
    url(r'^manifest/(?P<app_slug>[\w-]+)/metadata/$', views.metadata, name='application-metadata'),
    url(r'^manifest/(?P<app_slug>[\w-]+)/scandeps/$', views.scandeps, name='application-scandeps'),
    url(r'^manifest/(?P<app_slug>[\w-]+)/generate/$', views.generate, name='application-generate'),
    url(r'^manifest/(?P<app_slug>[\w-]+)/download/$', views.download, name='application-download'),
    url(
        r'^manifest/(?P<app_slug>[\w-]+)/add/(?P<type>[\w-]+)/$',
        views.add_element,
        name='application-add-element',
    ),
    url(
        r'^manifest/(?P<app_slug>[\w-]+)/delete/(?P<pk>\d+)/$',
        views.delete_element,
        name='application-delete-element',
    ),
]
